
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>datagrid数据导出到excel文件给客户端下载的几种方法 / iVAN</title>

    <meta name="description" content="datagrid数据导出到excel文件给客户端下载的几种方法 datagrid|excel|客户端|数据|下载 方法一:导出到csv文件,存放在服务器端任一路径,然后给客户下载 优点:1.可以进行身份认证后给客户下载,如果放到非web目录就没有对应的url,客户无法随时下载.2.也是因为生成了文件,所以占用了服务器的空间,但是可以把文件名存放到数据库,再次给客户下载的时候不需要重复生成文件.3.csv文件是文本文件,逗号隔开字段,回车隔开行,易于数据导入导出. 实现方法:   SqlConnection conn=new SqlConnection(Sys">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">datagrid数据导出到excel文件给客户端下载的几种方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>datagrid|excel|客户端|数据|下载</p>
<p>方法一：导出到csv文件，存放在服务器端任一路径，然后给客户下载</p>
<p>优点：<br />1、可以进行身份认证后给客户下载，如果放到非web目录就没有对应的url，客户无法随时下载。<br />2、也是因为生成了文件，所以占用了服务器的空间，但是可以把文件名存放到数据库，再次给客户下载的时候不需要重复生成文件。<br />3、csv文件是文本文件，逗号隔开字段，回车隔开行，易于数据导入导出。</p>
<p>实现方法：<br />   SqlConnection conn=new SqlConnection(System.Configuration.ConfigurationSettings.AppSettings["conn"]);<br />   SqlDataAdapter da=new SqlDataAdapter("select * from tb1",conn);<br />   DataSet ds=new DataSet();<br />   da.Fill(ds,"table1");<br />   DataTable dt=ds.Tables["table1"];<br />   string name=System.Configuration.ConfigurationSettings.AppSettings["downloadurl"].ToString()+DateTime.Today.ToString("yyyyMMdd")+new Random(DateTime.Now.Millisecond).Next(10000).ToString()+".csv";//存放到web.config中downloadurl指定的路径，文件格式为当前日期+4位随机数<br />   FileStream fs=new FileStream(name,FileMode.Create,FileAccess.Write);<br />   StreamWriter sw=new StreamWriter(fs,System.Text.Encoding.GetEncoding("gb2312"));<br />   sw.WriteLine("自动编号,姓名,年龄");<br />   foreach(DataRow dr in dt.Rows)<br />   {<br />    sw.WriteLine(dr["ID"]+","+dr["vName"]+","+dr["iAge"]);<br />   }<br />   sw.Close();<br />   Response.AddHeader("Content-Disposition", "attachment; filename=" + Server.UrlEncode(name));<br />   Response.ContentType = "application/ms-excel";// 指定返回的是一个不能被客户端读取的流，必须被下载<br />   Response.WriteFile(name); // 把文件流发送到客户端<br />   Response.End();</p>
<p>方法二：导出到csv文件，不存放到服务器，直接给浏览器输出文件流</p>
<p>优点：<br />1、随时生成，不需要占用资源<br />2、可以结合身份认证<br />3、同样利于数据交换</p>
<p>实现方法：<br />SqlConnection conn=new SqlConnection(System.Configuration.ConfigurationSettings.AppSettings["conn"]);<br />   SqlDataAdapter da=new SqlDataAdapter("select * from tb1",conn);<br />   DataSet ds=new DataSet();<br />   da.Fill(ds,"table1");<br />   DataTable dt=ds.Tables["table1"];<br />   StringWriter sw=new StringWriter();<br />   sw.WriteLine("自动编号,姓名,年龄");<br />   foreach(DataRow dr in dt.Rows)<br />   {<br />    sw.WriteLine(dr["ID"]+","+dr["vName"]+","+dr["iAge"]);<br />   }<br />   sw.Close();<br />   Response.AddHeader("Content-Disposition", "attachment; filename=test.csv");<br />   Response.ContentType = "application/ms-excel";<br />   Response.ContentEncoding=System.Text.Encoding.GetEncoding("GB2312");<br />   Response.Write(sw);<br />   Response.End();</p>
<p>方法三：从datagrid导出html代码，生成excel文件，给客户端下载</p>
<p>优点：<br />1、有固定的格式，样子好看（datagrid的样子）</p>
<p>局限性：<br />1、不适合数据交换，里面有html代码，比较乱，没有固定格式<br />2、datagrid不能有分页、排序等，否则出错</p>
<p>实现方法：<br />Response.Clear();<br />   Response.Buffer= false;<br />   Response.Charset="GB2312";<br />   Response.AppendHeader("Content-Disposition","attachment;filename=test.xls");<br />   Response.ContentEncoding=System.Text.Encoding.GetEncoding("GB2312");    Response.ContentType = "application/ms-excel";    this.EnableViewState = false;<br />   System.IO.StringWriter oStringWriter = new System.IO.StringWriter();<br />   System.Web.UI.HtmlTextWriter oHtmlTextWriter = new System.Web.UI.HtmlTextWriter(oStringWriter);<br />   this.DataGrid1.RenderControl(oHtmlTextWriter);<br />   Response.Write(oStringWriter.ToString());<br />   Response.End();</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 19:10:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/new/" title="new">new</a>, <a href="https://www.iamivan.net/tag/system/" title="system">system</a>, <a href="https://www.iamivan.net/tag/response/" title="response">response</a>, <a href="https://www.iamivan.net/tag/sqldataadapter/" title="sqldataadapter">sqldataadapter</a>, <a href="https://www.iamivan.net/tag/datagrid%e5%af%bc%e5%87%baexcel/" title="datagrid导出excel">datagrid导出excel</a>, <a href="https://www.iamivan.net/tag/csv%c2%a0%e5%af%bc%e5%85%a5%e5%88%b0datatable/" title="CSV&nbsp;导入到DATATABLE">CSV&nbsp;导入到DATATABLE</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>datagrid数据导出到excel文件给客户端下载的几种方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M16wXxp.html" rel="bookmark">Datagrid数据导出到excel文件的三种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文连接: http://www.cnblogs.com/xieduo/articles/606202.html 一.文件保存在服务器,提供下载 方法一:导出到csv文件,存放在服务器端任一路径,然后给客户下载  优点: 1.可以进行身份认证后给客户下载,如果放到非web目录就没有对应的url,客户无法随时下载. 2.也是因为生成了文件,所以占用了服务器的空间,但是可以把文件名存放到数据库,再次给客户下载的时候不需要重复生成文件. 3.csv文件是文本文件,逗号隔开字段,回车隔开行,易于数据导入			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7v2ZM.html" rel="bookmark">asp代码实现access数据导出到excel文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  asp代码实现access数据导出到excel文件: 一,下面是导出XLS格式 &lt;%  dim referer  referer = Request.ServerVariables(&quot;HTTP_REFERER&quot;)  Dim CName,action  action=request.Form(&quot;action&quot;)  CName=&quot;../../Excel/&quot;  dim daytime  'daytime=year(now())&amp;&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1N4Ddp.html" rel="bookmark">将datagridview中的数据导出为Excel文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 那位能给出C#的详细代码呢? 解决方案 解决方案二:OfficeExcelcom网上太多了我们以前用Farpoint控件.http://blog.csdn.net/blackhero/archive/2006/08/25/1116399.aspx解决方案三:privatevoidImport(DataTabledt_p){Excel.Applicationexcel=newExcel.Application();introwIndex=1;intcolIndex=0;excel.App			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z428E1M.html" rel="bookmark">DataTable数据导出成Excel文件的小例子&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: /// /// 将DataTable中的数据导出到指定的Excel文件中 /// /// Web页面对象 /// 包含被导出数据的DataTable对象 /// Excel文件的名称public static void Export(System.Web.UI.Page page,System.Data.DataTable tab,string FileName) { System.Web.HttpResponse httpResponse = page.Response;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvWlmAp.html" rel="bookmark">mysql中数据导出成excel文件语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 代码如下 复制代码 mysql&gt;select * from xi_table into outfile 'd:test.xls'; 导出为txt文件:  代码如下 复制代码 select * from xi_table into outfile 'd:test.txt'; 默认使用tab分割字段,记录使用n分割.可以自定义三个参数.  代码如下 复制代码 SELECT * FROMhx_9enjoy INTO OUTFILE '/tmp/9enjoy_hx.txt' FIELDS TERMIN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0w83p.html" rel="bookmark">C&num;创建Excel文件并将数据导出到Excel文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工具原料: Windows 7,Visual Studio 2010, Microsoft Office 2007 创建解决方案 菜单&gt;新建&gt;项目&gt;Windows窗体应用程序: 添加相关组件: 添加两个DataGridView,一个TextBox,两个按钮 ,如下图: 添加Excel资源: C#创建Excel文件,这里实际上是从资源中提取一个事先创建好的Excel文件,文件提取成功后,使用OleDb方法连接Excel,向Excel文件中写入数据. 先在文件夹中新建一个Excel文件,在S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGZ8D2p.html" rel="bookmark">有木有好用的把jqgrid表格数据导出为excel文件的插件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 就是点击导出excel 然后出现一个下载excel表的页面 .好像poi好用 但是找不到使用的实例啊 解决方案 自定义一个按钮,然后点击按钮就后台做导出excel功能.//自定义按钮导出jQuery(&quot;#gridTable&quot;).navGrid(&quot;#gridPager&quot;,{edit: true,add: true,del: true,search:false,position:&quot;right&quot;}).navButtonAdd(&quot;#g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvra7aM.html" rel="bookmark">datagridview-C&num;的dategridview中数据导出到excel的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C#的dategridview中数据导出到excel的问题 public bool ExportDataGridview(DataGridView gridView, bool isShowExcle) { if (gridView.Rows.Count == 0) { MessageBox.Show(&quot;请您检查是否有数据导出&quot;,&quot;提示&quot;,MessageBoxButtons.OK,MessageBoxIcon.Information); return fa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvqyY8b.html" rel="bookmark">如何将datagridview显示内容导出为excel文件？在另外的机器上使用时有什么注意事项？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 将dataGridview中显示的数据导出生成EXCEL文件,已经编译成功,但是放到别的机器上使用的时候又不行,提示版本不对,有什么解决方法吗?运行的机器上已经装有excel.源程序如下:///&lt;summary&gt;///zjjzdq.com.cn///&lt;/summary&gt;///&lt;paramname=&quot;dt&quot;&gt;&lt;/param&gt;protectedvoidExportExcel(DataTabledt){if(dt==null||dt.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmY7pe.html" rel="bookmark" class="title">详解Python中的type&lpar;&rpar;方法的使用</a>
					<div>
						  这篇文章主要介绍了详解Python中的type()方法的使用,是Python入门中的基础知识,需要的朋友可以参考下 type()方法返回传递变量的类型.如果传递变量是字典那么它将返回一个字典类型. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8OZ9M.html" rel="bookmark" class="title">让你的SEO无惧百度的检验系列（3）</a>
					<div>
						夫唯,是我个人很崇拜的链接建造者.在国内SEO技术的起步阶段他就加入了这个行业.10 年的职业生涯历练,他现在已经是最炙手可热的SEO专家. 老谢前两天写的&quot;让你的SEO无惧百度的检验系列( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqd9Rb.html" rel="bookmark" class="title">把ASP移植到ASP&plus;</a>
					<div>
						Before embarking on the inevitable-and not painless-migration to ASP+, it's best to know what compat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZq04p.html" rel="bookmark" class="title">基于消息的分布式架构</a>
					<div>
						美国计算机科学家,LaTex的作者Leslie Lamport说:&quot;分布式系统就是这样 一个系统,系统中一个你甚至都不知道的计算机出了故障,却可能导致你自己的 计算机不可用.&quot;一语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7747b.html" rel="bookmark" class="title">javascript如何借助ActiveXObject实现创建文件</a>
					<div>
						注意:问题是在父页面调用子页面的方法..... 父页面:parent.html 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA8RBb.html" rel="bookmark" class="title">Excel表格如何使用Vlookup函数发现重复数据</a>
					<div>
						  在一张Excel表格的重复记录中,让你快速列出每种不同物品第2次或第n次出现的记录,你会怎么做?Vlookup函数就有这个本事. 举例来说,产品或者物流表格中往往会记录有同一货物的多笔数据(如下图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyOQ8b.html" rel="bookmark" class="title">win8睡眠唤醒密码设置图文教程</a>
					<div>
						如果你开启了睡眠,win8系统待机一段时间后发现 Win8进入了睡眠或休眠状态,唤醒必须输入密码,这是为了保护计算机安全,如果计算机上有机密信息,用密码保护这些信息是一个好办法. Windows 8如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBBDNz.html" rel="bookmark" class="title">360浏览器怎么查看和删除保存密码的网站？</a>
					<div>
						  现在的电脑浏览器都可以记忆网站的用户名和密码,之前笔者介绍过百度浏览器是如何查看被记忆密码网站的,今天再给大家说一下360浏览器的查看和删除方法,希望对大家有所帮助... 1.打开360浏览器以后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7ZZdb.html" rel="bookmark" class="title">win7电脑如何打开立体声混音</a>
					<div>
						  一般来说,咱们的系统都是默认了声道的,而很多的视频.音频文件也对自己的声道等进行了设定,所以一般情况下是不需要用户自己再来设置的,但是如果涉及到录音的话,情况就不一样了,很多朋友现在都喜欢使用电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG4qab.html" rel="bookmark" class="title">2345好压怎么解压</a>
					<div>
						  方法一:通过右键菜单解压文件 鼠标右键单击选中的一个或多个压缩文件,在弹出的右键菜单中,选择[解压文件-],在新弹出的[解压文件]窗口中,设置好解压选项,点击[确定]即可进行解压操作.如果解压之后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkB2Ab.html" rel="bookmark" class="title">电脑开机显示cmos setting wrong的几种解决办法</a>
					<div>
						  电脑开机显示cmos setting wrong这问题经常出现在华硕主板上,一般有此跳线的基本都是ASUS主板,ASROCK也有.出现此问题的朋友可以试下解决. 将主板上的5-6/7-8 USB模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGyyAp.html" rel="bookmark" class="title">06&period;移动先行之谁主沉浮----我的代码我来写（Xaml的优势）</a>
					<div>
						如果移动方向有任何问题请参考===&gt; 异常处理汇总-移动系列(点) 前面几节课,我们都是在前台创建对象,进行一些设置,那么我们为什么不用传统的方法来编程呢? 我们今天来试试你就明了了~~   打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrrGGM.html" rel="bookmark" class="title">面试常考的几个题</a>
					<div>
						几个进程间的通信方式 管道( pipe ):管道是一种半双工的通信方式,数据只能单向流动,而且只能在具有亲缘关系的进程间使用.进程的亲缘关系通常是指父子进程关系. 有名管道 (named pipe)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PDBqp.html" rel="bookmark" class="title">iis-ASP&plus;SQL2005，Win7  IIS无法访问远程数据库</a>
					<div>
						问题描述 ASP+SQL2005,Win7 IIS无法访问远程数据库 用ASP,SQL2005数据库.本地调试时用的是Win7 IIS7.5平台.一个现象:数据库是在局域网中另一台电脑,同样的程序,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PX24p.html" rel="bookmark" class="title">中国风电稳步向上</a>
					<div>
						侨丰证券 张蓉蓉 买入因素:中国风电现时可获得碳减排(CDM)销售收入,现时占集团整体收入10%至20%,由于环保的考虑,工业发达国家要将二氧化碳排放降至指定的范围,所以碳减排的业务有庞大的需求,现时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze63wxb.html" rel="bookmark" class="title">单纯拼硬件的时代已经过去</a>
					<div>
						和过去一样线上造势后,雷军于昨天登台发布了小米4. 这款新推出的手机搭载了骁龙801CPU.5英寸屏幕.3080毫安电池以及800万/1300万的前后置摄像头.和往常发布会不同的是,雷军这次主打小米的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBNJZM.html" rel="bookmark" class="title">代码分析-表名带有空格，无法被运行</a>
					<div>
						问题描述 表名带有空格,无法被运行 _ConnectionPtr m_pConnection; _RecordsetPtr m_pRecordset; try { m_pConnection.Crea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKAK8b.html" rel="bookmark" class="title">android-安卓开发关于调用系统自带的分享功能</a>
					<div>
						问题描述 安卓开发关于调用系统自带的分享功能 刚刚做了个调用系统分享功能的事件,点击按钮,进入图库,选择图片时调用系统的分享功能,出现个问题,直接进入qq界面分享到QQ,微信,微博其他的都没出来,求解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1W7Kz.html" rel="bookmark" class="title">在flex中使用小键盘 flash builder4&period;6</a>
					<div>
						问题描述 在flex中使用小键盘 flash builder4.6 如何在flex中的textinput中点击得到小键盘 用小键盘输入字符 ?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB18O9z.html" rel="bookmark" class="title">《Python Cookbook（第3版）中文版》&mdash;&mdash;导读</a>
					<div>
						前 言 自2008年以来,我们已经目睹了整个Python世界正缓慢向着Python 3进化的事实.众所周知,完全接纳Python 3要花很长的时间.事实上,就在写作本书时(2013年),大多数Pyth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40qdqz.html" rel="bookmark" class="title">我的【一号网盘】&srarr;基于技术的云盘</a>
					<div>
						我的一号网盘(百度),内容基本IT技术,各种思科原档都有,大家多多订阅哦 地址:更多精彩尽在↓↓ http://pan.baidu.com/share/home?uk=3330541353					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eLG9b.html" rel="bookmark" class="title">Joda-Time</a>
					<div>
						  根据Millis计算minutes: demo: import org.joda.time.Interval; import org.joda.time.LocalDateTime; /** *  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye835M.html" rel="bookmark" class="title">关于RadioButton的一些疑问</a>
					<div>
						问题描述 在Asp.NET开发的时候,一个页面,4个选项,分别使用RadioButton做单选题,原设计是当点击RadioButton之后,触发Click事件,后发现asp下没有这个事件,只有Chec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqEq6p.html" rel="bookmark" class="title">VS2013无法看到最近打开的解决方案记录</a>
					<div>
						问题描述 recent找不到记录了 解决方案 解决方案二:路径改了?或者文件已经删除了,进去到指定的目录去打开解决方案三:最简单的方法,卸载重装.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqx36b.html" rel="bookmark" class="title">狂掷1亿 网络招聘市场再起风云</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 昨日,job36行业招聘在深圳各繁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn5e5p.html" rel="bookmark" class="title">android开发教程之系统资源的使用方法 android资源文件&lowbar;Android</a>
					<div>
						一.颜色资源1.颜色XML文件格式 复制代码 代码如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt;&lt;res ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWYjQp.html" rel="bookmark" class="title">求一般安卓专家解释一下这个错误的原因，我是菜鸟</a>
					<div>
						问题描述 求一般安卓专家解释一下这个错误的原因,我是菜鸟 解决方案 亲爱的,你的问题完全看不到啊 解决方案二: 参考:http://blog.sina.com.cn/s/blog_891e6bdc01 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvW6j6p.html" rel="bookmark" class="title">问答平台发布经验分享</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 有人说,SEO工作就是在各大网站平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YP30p.html" rel="bookmark" class="title">wpf中的用户控件库项目不能使用WindowsFormsHost？？急！！！</a>
					<div>
						问题描述 基于sharpdevelop框架的WPF开发,想在用户控件库项目中使用reportviewer控件,用了WindowsFormsHost,但是运行后不显示reportviewer.如果换成w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG3AKoz.html" rel="bookmark" class="title">thinkphp中关于使用jquery如何判断radio是否都被选中？</a>
					<div>
						问题描述 thinkphp中关于使用jquery如何判断radio是否都被选中? 想做个在线考试系统,从数据库中取出试题后,想判断下 radio是否都被选中,未被全部选中弹出提示框,一下是html部分 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
